# What’s the average response time of a Cloud API request?

Our cloud services process requests from all products including API. Thus, we are not able to distinguish API requests from the other requests. The average response time for all types of requests is 500 ms. The response time depends on the list of factors: size of the text, language, a number of mistakes, spelling or/and grammar type.

The entry point for all requests is the AWS load balancer that distributes the amount of the request to the running instances. Besides, there is an auto-scaling mechanism that tracks the CPU load on each instance and if the CPU consumption increases on all instances above a certain level, a new instance will be launched.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.12.0/faq/technical/api/whats-the-average-response-time-of-a-cloud-api-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
